/*
 * @(#)interrupt_md.h	1.8 98/07/01
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * Solaris interrupts
 */

#ifndef	_SOLARIS_INTERRUPT_MD_H_
#define	_SOLARIS_INTERRUPT_MD_H_

/*
 * Header files.
 */
#include "bool.h"

/*
 * Number of interrupt channels.
 */
#define	N_INTERRUPTS	32	/* 0 to 31 */

/*
 * Routines/Macros that actually set/get the processor interrupt level.
 */
extern void 	intrLock(void);
extern void 	intrUnlock(void);
extern bool_t 	intrIsLocked(void);

#endif	/* !_SOLARIS_INTERRUPT_MD_H_ */
